Name:           json-glib
Version:        1.4.4
Release:        2
Summary:        Library for lightweight data-interchange format

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/JsonGlib
Source0:        https://download.gnome.org/sources/%{name}/1.4/%{name}-%{version}.tar.xz

BuildRequires:  docbook-style-xsl gettext glib2-devel gtk-doc
BuildRequires:  gobject-introspection-devel meson libxslt

Requires:       glib2

%description
JSON-GLib is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format described by RFC 4627.

%package	devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-tests
Obsoletes:      %{name}-tests

%description	devel
%{name}-devel contains the header files for developing
applications that want to make use of %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Ddocs=true -Dman=true
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%files
%defattr(-,root,root) 
%license COPYING
%{_libdir}/lib%{name}-1.0.so.*
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_datadir}/locale/*

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-format
%{_bindir}/%{name}-validate
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_datadir}/gir-1.0/Json-1.0.gir
%{_datadir}/installed-tests/%{name}-1.0/*
%{_libexecdir}/installed-tests/%{name}-1.0/*

%files help
%defattr(-,root,root)
%doc NEWS
%{_mandir}/man1/%{name}-format.1.gz
%{_mandir}/man1/%{name}-validate.1.gz
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.4.4-2
- Package init
